This issue caused by freetype2 when you are using different version from the mainline. To fix this, just run sudo pacman -S freetype2 and let it replace your current version.

For those who are using freetype2-ultimate5, just reinstall it by using this command yaourt -S freetype2-ultimate5. If installation successful, this error will be gone for good. :)